commit:     d8922e9cfebfafd071cbd0bb79cd375dcfe9155a
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 26 13:25:39 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Mar 26 13:26:28 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d8922e9c

sys-process/htop: Added 3.0.0_beta3 release.

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 sys-process/htop/Manifest                |  1 +
 sys-process/htop/htop-3.0.0_beta3.ebuild | 76 ++++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/sys-process/htop/Manifest b/sys-process/htop/Manifest
index f0451a60ad1..0fcc0a9fd18 100644
--- a/sys-process/htop/Manifest
+++ b/sys-process/htop/Manifest
@@ -1,2 +1,3 @@
 DIST htop-2.0.2.tar.gz 476364 BLAKE2B 
f5519977b4bd6d189cb7f379a9f9b535a4b67a575b30056a43e259ab39a69f84083d310bbefefe8408c7ca99918f1ea9ae775808b9afe9d0f78097ac6bb88dc7
 SHA512 
1c9bf71a36c56b301667aa6d03756fc757fbcb63e848d9581d10db3df6193cdeb00e55ceb6e2392794ac03ea034b04459a8fe550b3ac2318cd86263a74c78cda
 DIST htop-2.1.0.tar.gz 302938 BLAKE2B 
3e290a3dbb0bf5424780ba5dcb9de8ea478bf4cabbbde202c19eb3db7e0f8d1e108ec3ea41544ac095097c39100417c72477dab96f104a6317f4edd06d69199f
 SHA512 
203e8f4abd63334330fc673f6c9609adbeab763d80f553d8b48670091d18dd347599a9ce2dbbac374fa4a13fa904948711a441fa676f52ab1612bd2b4ee4c6eb
+DIST htop-3.0.0_beta3.tar.gz 169576 BLAKE2B 
6d62a818b53933de1d09e316eac41497f6f9c75b1fced691540e91348af0a0272f38dfd2dd935191c0782d2c4ca2fc6bee64d5827851329b73d7c31c590d3e9f
 SHA512 
05b2f817b67206dce0f727394cc78437ecbd4575fed898dca0a7b25a7acaab42e8b674f4c040139080759d04e73e5fda58aab89c184f2b10e35edf19385e680a

diff --git a/sys-process/htop/htop-3.0.0_beta3.ebuild 
b/sys-process/htop/htop-3.0.0_beta3.ebuild
new file mode 100644
index 00000000000..97456ae73a1
--- /dev/null
+++ b/sys-process/htop/htop-3.0.0_beta3.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} )
+
+inherit autotools linux-info python-single-r1
+
+DESCRIPTION="interactive process viewer"
+HOMEPAGE="http://hisham.hm/htop/";
+if [[ "${PV}" = *_beta* ]] ; then
+       SRC_URI="https://github.com/hishamhm/${PN}/archive/${PV/_}.tar.gz -> 
${P}.tar.gz"
+       S="${WORKDIR}/${P/_}"
+else
+       SRC_URI="http://hisham.hm/htop/releases/${PV}/${P}.tar.gz";
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~sh 
~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux"
+fi
+LICENSE="BSD GPL-2"
+SLOT="0"
+IUSE="kernel_FreeBSD kernel_linux openvz unicode vserver"
+
+RDEPEND="sys-libs/ncurses:0=[unicode?]"
+DEPEND="${RDEPEND}
+       ${PYTHON_DEPS}
+       virtual/pkgconfig"
+
+REQUIRED_USE=${PYTHON_REQUIRED_USE}
+
+DOCS=( ChangeLog README )
+
+CONFIG_CHECK="~TASKSTATS ~TASK_XACCT ~TASK_IO_ACCOUNTING ~CGROUPS"
+
+PATCHES=(
+
+       # Fixes from upstream (can usually be removed with next version bump)
+       "${FILESDIR}/${PN}-2.1.0-header_updates.patch"
+)
+
+pkg_setup() {
+       if ! has_version sys-process/lsof; then
+               ewarn "To use lsof features in htop(what processes are 
accessing"
+               ewarn "what files), you must have sys-process/lsof installed."
+       fi
+
+       python-single-r1_pkg_setup
+       linux-info_pkg_setup
+}
+
+src_prepare() {
+       if [[ "${PV}" != *_beta* ]] ; then
+               rm missing || die
+       fi
+
+       default
+       use python_single_target_python2_7 || \
+               eapply "${FILESDIR}/${PN}-2.1.0-MakeHeader-python3.patch" 
#646880
+       eautoreconf
+       python_fix_shebang scripts/MakeHeader.py
+}
+
+src_configure() {
+       [[ $CBUILD != $CHOST ]] && export ac_cv_file__proc_{meminfo,stat}=yes 
#328971
+
+       local myeconfargs=(
+               # fails to build against recent hwloc versions
+               --disable-hwloc
+               --enable-taskstats
+               $(use_enable kernel_linux cgroup)
+               $(use_enable kernel_linux linux-affinity)
+               $(use_enable openvz)
+               $(use_enable unicode)
+               $(use_enable vserver)
+       )
+       econf ${myeconfargs[@]}
+}

Reply via email to